Bug Hunting Session
Bug 101843 - Hiding rows is not always saved
Summary: Hiding rows is not always saved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: bibisected, bisected, regression
: 102188 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-09-01 11:49 UTC by sworddragon2
Modified: 2016-10-03 09:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Hide rows 1-12, save and reopen (8.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-09-14 04:07 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2016-09-01 11:49:39 UTC
I have here a document (which can't be uploaded for security reasons) containing a few hundred rows with formatted borders. Not all rows have content in it as some of them are placeholders reserving the next rows. I have now hidden the most rows and saved the document and on the next opening all rows containing content in it were still hidden while the empty rows with only a border were not.
Comment 1 Aron Budea 2016-09-14 04:07:02 UTC
Created attachment 127325 [details]
Hide rows 1-12, save and reopen

This seems to be the same issue I just reported, bug 102188.

Attaching a test spreadsheet, hide rows 1-12, save and reopen.
Rows 7-11 will be visible upon reopening.

Reproduced with v5.2.1.2, not reproduced with v5.1.5.2 / Windows 7. => regression
Comment 2 Aron Budea 2016-09-14 04:10:54 UTC
*** Bug 102188 has been marked as a duplicate of this bug. ***
Comment 3 Eike Rathke 2016-09-14 14:09:19 UTC
@Aron:
This does not block bug 102154 (i.e. that does not depend on this being fixed) but they may be related.
Comment 4 Xisco Faulí 2016-09-14 17:47:54 UTC
Hi Markus,
It looks like your commit

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-04-13 10:37:10 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-04-14 05:33:01 (GMT)
commit	44c1cfc7d8ab7afb1e01ac57d3feeb410ba43748 (patch)
tree	8b635afcd1f20c619625df1c9856b64eafb94ae6
parent	ea6196f0a51d1bf4cd722468406dcc8c64c7435c (diff)
no need to call rowHidden and rowFiltered repeatedly, tdf#90659

Introduced this regression.
Could you please take a look whenever you have some time?
Regards
Comment 5 Xisco Faulí 2016-09-26 15:13:41 UTC
Adding Cc: to Markus Mohrhard
Comment 6 Markus Mohrhard 2016-09-27 16:15:49 UTC
Stupid bug by me. Fix is trivial.
Comment 7 Commit Notification 2016-09-27 16:41:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e7f6b0a056b51a425934f63745ae5c9fed2e51f

tdf#101843, ensure repeated rows set the hidden/filtered flag correctly

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-09-27 16:41:37 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cf444454c0c27e2f6d764164ea880b87163f45a

add test for tdf#101843

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-10-03 09:36:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b0a57d6de5931fcbd554a11cb9abdd09c34a735&h=libreoffice-5-2

tdf#101843, ensure repeated rows set the hidden/filtered flag correctly

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.